curl --request POST \
--url https://api.myproceeds.xyz/v1/paywalls \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"serviceId": "<string>",
"slug": "<string>",
"name": "<string>",
"price": "<string>",
"currency": "USDC",
"networks": [
"base-sepolia"
],
"allowedMethods": [],
"description": "<string>",
"targetUrl": "<string>",
"targetRoute": "<string>",
"timeout": 1815000,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"allowedHeaders": [
"<string>"
],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"enabled": true
}
'import requests
url = "https://api.myproceeds.xyz/v1/paywalls"
payload = {
"serviceId": "<string>",
"slug": "<string>",
"name": "<string>",
"price": "<string>",
"currency": "USDC",
"networks": ["base-sepolia"],
"allowedMethods": [],
"description": "<string>",
"targetUrl": "<string>",
"targetRoute": "<string>",
"timeout": 1815000,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"allowedHeaders": ["<string>"],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"enabled": True
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serviceId: '<string>',
slug: '<string>',
name: '<string>',
price: '<string>',
currency: 'USDC',
networks: ['base-sepolia'],
allowedMethods: [],
description: '<string>',
targetUrl: '<string>',
targetRoute: '<string>',
timeout: 1815000,
headers: [{key: '<string>', value: '<string>'}],
allowedHeaders: ['<string>'],
queryParams: [{key: '<string>', value: '<string>'}],
enabled: true
})
};
fetch('https://api.myproceeds.xyz/v1/paywalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"routePattern": "<string>",
"price": "<string>",
"currency": "USDC",
"networks": [
"base-sepolia"
],
"merchantWallet": "<string>",
"timeout": 123,
"allowedMethods": [],
"allowedHeaders": [
"<string>"
],
"enabled": true,
"headers": [
{
"key": "<string>",
"value": "***"
}
],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"serviceId": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "Valid API key required",
"code": "INVALID_API_KEY"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}Create a paywall
Paywalls always settle to the tenant’s own wallet — the merchant
wallet is set automatically to the tenant’s primary wallet and is
not accepted as a parameter. Slugs must be unique within the parent
service (serviceId + slug).
Authorizations
API key in format mpk_<64 hex chars>. Can alternatively be sent as
Authorization: Bearer mpk_....
Body
price is required. USDC micro-unit integer string (6 decimals),
for example "1000000" = $1.00.
Parent service id. Required — paywalls must belong to a service.
1 - 50^[a-z0-9._-]+$1 - 100PROXY, ROUTE USDC micro-units as an integer string.
USDC Every network this paywall accepts payment on. At least one is required.
1Supported blockchain network identifier. The value must match the
owning Service / Paywall mode: pass a testnet identifier when
mode is testnet, and a mainnet identifier when mode is
mainnet.
base-sepolia, arc-testnet, tempo-testnet, base, tempo HTTP methods this paywall accepts. At least one is required.
1GET, POST, PUT, PATCH 30000 <= x <= 3600000Show child attributes
Show child attributes
Extra buyer request headers to forward. Cannot include sensitive headers (authorization, cookie, host, x-forwarded-*, etc.).
100Show child attributes
Show child attributes

